package com.ruoyi.brewery.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 品牌方分享方案对象 wy_brewery_share_plan
 * 
 * @author ruoyi
 * @date 2025-02-23
 */
public class WyBrewerySharePlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 品牌方id */
    @Excel(name = "品牌方id")
    private Long breweryId;

    /** 方案名称 */
    @Excel(name = "方案名称")
    private String planName;

    /** 参与人数上限 */
    @Excel(name = "参与人数上限")
    private Long maxPersons;

    /** 每次可领取数量 */
    @Excel(name = "每次可领取数量")
    private Long quantityAvailable;

    /** 活动开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "活动开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 活动截至时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "活动截至时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 每人可领取次数 */
    @Excel(name = "每人可领取次数")
    private Long claimTimes;

    /** 状态 0无效 1有效 */
    @Excel(name = "状态 0无效 1有效")
    private Integer planStatus;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBreweryId(Long breweryId) 
    {
        this.breweryId = breweryId;
    }

    public Long getBreweryId() 
    {
        return breweryId;
    }
    public void setPlanName(String planName) 
    {
        this.planName = planName;
    }

    public String getPlanName() 
    {
        return planName;
    }
    public void setMaxPersons(Long maxPersons) 
    {
        this.maxPersons = maxPersons;
    }

    public Long getMaxPersons() 
    {
        return maxPersons;
    }
    public void setQuantityAvailable(Long quantityAvailable) 
    {
        this.quantityAvailable = quantityAvailable;
    }

    public Long getQuantityAvailable() 
    {
        return quantityAvailable;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setClaimTimes(Long claimTimes) 
    {
        this.claimTimes = claimTimes;
    }

    public Long getClaimTimes() 
    {
        return claimTimes;
    }
    public void setPlanStatus(Integer planStatus) 
    {
        this.planStatus = planStatus;
    }

    public Integer getPlanStatus() 
    {
        return planStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("breweryId", getBreweryId())
            .append("planName", getPlanName())
            .append("maxPersons", getMaxPersons())
            .append("quantityAvailable", getQuantityAvailable())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("claimTimes", getClaimTimes())
            .append("planStatus", getPlanStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
